
QGIS Application - Bug report #21326

[GPS Panel Information] Don't allow to draw polygon with GPS with Add Polygon

2019-02-20 04:10 PM - João Gaspar

Status: Open

Priority: High

Assignee:

Category: GPS Live Tracking

Affected QGIS version:3.4.4 Regression?: Yes

Operating System: Windows 10 Pro 64-bits Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29144

Description

Hi guys,

In QGIS 2.18, 3.2 it's possible to draw polygons with live tracking.

In QGIS 3.4.4, only allow adding track points but the GPS panel don't enable the "Add Feature" Polygon.

Compiled/Running against QT 5.11.2

Code Revision f6ddc62fdb

Compiled/Running against GDAL/OGR 2.4.0

Compiled against GEOS 3.7.0-CAPI-1.11.0 | Running against GEOS 3.7.

I'm testing in a tablet Getac T800.

History

#1 - 2019-02-20 04:13 PM - João Gaspar

Additional Bugs related but not regressions:

#14917 occur as well in QGIS 3.X

#14918 occur as well in QGIS 3.X

#2 - 2019-02-20 06:02 PM - Giovanni Manghi

- Priority changed from Normal to High

#3 - 2019-03-20 08:08 AM - Philipp Lehner

One of my customers reported the same issue with lines. Here everything works, also with polygons (tested with QGIS 3.4.3 and 3.6, Win10 Home 64bit)

#4 - 2019-03-20 02:50 PM - João Gaspar

Philipp Lehner wrote:

One of my customers reported the same issue with lines. Here everything works, also with polygons (tested with QGIS 3.4.3 and 3.6, Win10 Home

64bit)

What vector format they use? Work with PointZ, MultipointZ, PolygonZ, MultiPolygonZ as well?
Cheers

#5 - 2019-04-18 08:20 AM - Philipp Lehner

Sorry for the late reply. They use Shape MultiLineString (doesn't work at my device either). PointZ works, MultipointZ doesn't work, PolygonZ works,

MultiPolygonZ doesn't work.

#6 - 2019-04-18 08:53 AM - João Gaspar

Hi Philip. So if you use Point, LineString and Polygon you don't have problem?

I need test again.

Cheers

#7 - 2019-04-18 12:25 PM - Chloé Dervin

Hello, I tested with the version 3.0, 3.2 and 3.4 of QGIS and I can add a point but I can't add a lign or a polygon. It works only on the version 2.18 but the

close of the polygone create a point very far of the form.

#8 - 2019-04-23 08:46 AM - Philipp Lehner

Yes, Multi* causes the problem.
